// gulpfile.js
var path = require('path')
var gulp = require('gulp')
var cleanCSS = require('gulp-clean-css')
var cssWrap = require('gulp-css-wrap')
var rename = require('gulp-rename');

var themeName = "openplatform-theme";
gulp.task('copy-fonts', function() {
    return gulp.src('./theme/fonts/*')
        .pipe(gulp.dest('./src/assets/style/theme/custom/fonts'))
});

gulp.task('css-wrap', gulp.series("copy-fonts", function() {
    return gulp.src(path.resolve('./theme/index.css'))
        /* 找需要添加命名空间的css文件，支持正则表达式 */
        .pipe(rename(function(path) {
            path.basename = themeName;
            path.extname = ".css";
        }))
        .pipe(cssWrap({
            selector: '.' + themeName /* 添加的命名空间 */
        }))
        .pipe(cleanCSS())
        .pipe(gulp.dest('./src/assets/style/theme/custom')) /* 存放的目录 */
}));