import {fetchers} from '../config/AjaxConfig'

/*
 * 获取时区
 * */
function getTimezone(): string {
    const timeStr = new Date().toString()
    const index = timeStr.indexOf('GMT')
    return timeStr.slice(index, index + 8)
  }

function ajaxPro(url: string, fetch, {
    paramsData = null,
    data = null,
    i = 'api', //axios实例，默认api
    type = 'get', //默认get
    header = {},
    responseType = 'json',
    timeout = null,
} = {}) {
    header = Object.assign(header, { Timezone: getTimezone() })
    return fetch[i]({
        method: type, //请求类型 默认get
        url: url, //请求url
        params: paramsData, //query请求参数
        data: data, //data请求参数
        headers: header, //请求头
        responseType,   //响应类型 
        timeout: timeout,
    })
}

const AjaxManager = {
    ajaxPro,
    fetchers,
};

export {
    AjaxManager
}