import axios from "axios";
import { MessageBox } from '../message/MessageBox'
import { MsgManager } from '../authority/MsgManager'
let MsgManagers = new MsgManager();
import vue from 'vue'
// axios配置

function ajaxConfig(config: any, url: string, isoff: boolean) {
  let fetcher = axios.create({
    timeout: 60000,
    withCredentials: true,
    ...config
  });
  // 拦截器
  fetcher.interceptors.response.use(
    response => {
      return response;
    },
    err => {
      if (err.response.status == "401") {
        if (isoff) return
        let content = window.top ? window.top : window;
        MsgManagers.emitMsg(content, 'jumpLoginPage');

      } else {
        MessageBox.showMessage(vue.prototype, `服务器响应失败 code: ${err.response.status}`, "error");
      }
      return Promise.reject(err);
    }
  );
  return fetcher;
}



// export default 配置线上和开发的url

function ajaxs(baseApiConfig, loginUrl = '', isoff = false) {
  let ajaxAPI: any = {};
  for (let key in baseApiConfig) {
    ajaxAPI[key] = ajaxConfig(
      {
        baseURL: baseApiConfig[key]
      },
      loginUrl,
      isoff
    );
  }
  return ajaxAPI;
}
let fetchers = ajaxs;

// 导出axios实例
export { fetchers };
