

function readFilewidthBlob(data, resovle: Function, reject: Function) {
    let blob = new Blob([data], {
        type: "application/octet-stream"
    });
    let reader = new FileReader()
    reader.onload = (e: any) => {

        let data: any = {};
        try {
            data = JSON.parse(e.target.result)
        } catch (e) {
            data.code = 200;
        }
        if (data.code === 200) {
            resovle(blob)
        } else {
            reject(data)
        }

    }
    reader.readAsText(blob)
}


function downFilewithBlob(blob, filename) {
    if (typeof window.navigator.msSaveBlob !== "undefined") {
        window.navigator.msSaveBlob(blob);
    } else {
        let URL = window.URL;
        let objectUrl = URL.createObjectURL(blob);
        var a = document.createElement("a");
        a.href = objectUrl;
        a.download = filename;
        document.body.appendChild(a);
        a.click();
        a.remove();
    }
}

let DownloadManager = {
    readFilewidthBlob,
    downFilewithBlob
};

export { DownloadManager };


