let maxId: number = 0;

function genId(): string {
  maxId++;
  return "FrequentQueryTemplate" + maxId;
}

export default class FrequentQueryTemplate {
  private _id: string = "";
  public get id(): string {
    return this._id;
  }

  private _name: string = "";
  public get name(): string {
    return this._name;
  }
  public set name(value: string) {
    this._name = value;
  }

  private _templateData: any;
  public get templateData(): any {
    return this._templateData;
  }
  public set templateData(value: any) {
    this._templateData = value;
  }

  private _isAutoSeach: Boolean = false;
  public get isAutoSeach(): Boolean {
    return this._isAutoSeach;
  }
  public set isAutoSeach(value: Boolean) {
    this._isAutoSeach = value;
  }

  constructor(name: string, templateData: any, isAutoSeach: Boolean = false) {
    this._id = genId();
    this._name = name;
    this._isAutoSeach = isAutoSeach;
    this._templateData = templateData;
    if (templateData instanceof Array) {
      this._templateData = [...templateData];
    } else if (typeof templateData == "object") {
      this._templateData = { ...templateData };
    } else {
      this._templateData = templateData;
    }
  }
}
