/**
 * 消息提示
 * @param self
 * @param msg
 * @param type  success 成功 warning 警告 error 错误
 */
function showMessage(self: any, msg: string, type = null, duration: number = 3000,) {
  self.$message({
    showClose: true,
    message: msg,
    type: type,
    duration: duration,
  });
}

/**
 * 显示模态框
 * @param self
 * @param msg
 * @param callback
 */
function showModalMessageBox(self: any, msg: string, callback: Function) {
  self
    .$confirm(msg, "提示", {
      confirmButtonText: "确定",
      cancelButtonText: "取消",
      type: "warning"
    })
    .then(() => {
      // 确定回调
      callback("sure");
    })
    .catch(() => {
      // 取消回调
      callback("cancel");
    });
}


const MessageBox = {
  showMessage: showMessage,
  showModalMessageBox: showModalMessageBox,

};

export { MessageBox };
