import { common } from "./api/common/common";
import { DistDataCenter } from "./api/common/DistDataCenter";
import { DateUtil } from "./api/common/DateUtil";
import { EventBus } from "./api/EventBus";
import { MsgManager } from "./api/authority/MsgManager";

import { ThemeManager } from "./api/theme/ThemeManager";
import { AuthorityManager } from "./api/authority/AuthorityManager";
// import { fetchers } from "./api/ajax/AjaxManager";
import { AjaxManager } from "./api/ajax/AjaxManager";
import { LangManager } from "./api/lang/langManager";
import { MessageBox } from "@/api/message/MessageBox";
import { DownloadManager } from "@/api/downloadManager/Download";

import tmsBreadcrumbHeader from "./packages/layout/tmsBreadcrumbHeader.vue";
import tmsHeader from "./packages/layout/tmsHeader.vue";
import tmsContainer from "./packages/layout/tmsContainer.vue";

import tmsSearchInput from "./packages/element/input/tmsSearchInput.vue"
import newSearchInput from "./packages/element/input/newTmsSearchInput.vue"
import tmsNumberInput from './packages/element/input/tmsNumberInput.vue'
import tmsFrequentQuery from "./packages/element/frequentQuery/tmsFrequentQuery.vue"
import tmsMonthlyMenu from "./packages/element/date/tmsMonthlyMenu.vue"
import tmsFrequentSelect from "./packages/element/frequentSelect/tmsFrequentSelect.vue"

import tmsSearchLabel from './packages/element/LabelFilter/tmsSearchLabel.vue'
import tmsFilterLabel from './packages/element/LabelFilter/tmsFilterLabel.vue'
import tmsOptions from './packages/element/LabelFilter/tmsOptions.vue'
import tmsRadio from './packages/element/LabelFilter/tmsRadio.vue'

import tmsConfirmButton from "./packages/element/button/tmsConfirmButton.vue"


import tmsSearchGroup from './packages/layout/searchHeader/tmsSearchGroup.vue'
import tmsSearchInputs from './packages/layout/searchHeader/tmsSearchInput.vue'
import tmsSearchButton from './packages/layout/searchHeader/tmsSearchButton.vue'

import tmsTable from './packages/element/tmsTable/tmsTable.vue'

import tmsCountrySelect from './packages/element/select/tmsCountrySelect.vue'
import tmsPopperSelectBox from './packages/element/select/tmsPopperSelectBox.vue'
import TmsDiagram1 from './packages/element/chart/tmsDiagram1.vue'
import tmsSequenceDiagram from './packages/element/chart/tmsSequenceDiagram.vue'
import tmsMultiSelectBox from './packages/element/select/tmsMultiSelectBox.vue'
let ComponentMap = {};

function isExistComponent(name) {
  return ComponentMap.hasOwnProperty(name);
}

function registerComponent(name, component) {
  ComponentMap[name] = component;

}



const COMPONENT_LIST = [
  tmsBreadcrumbHeader,
  tmsHeader,
  tmsContainer,
  tmsSearchInput,
  newSearchInput,
  tmsNumberInput,
  tmsFrequentQuery,
  tmsMonthlyMenu,
  tmsFrequentSelect,
  tmsSearchLabel,
  tmsFilterLabel,
  tmsOptions,
  tmsRadio,
  tmsConfirmButton,
  tmsSearchGroup,
  tmsSearchInputs,
  tmsSearchButton,
  tmsTable,
  tmsCountrySelect,
  tmsPopperSelectBox,
  tmsMultiSelectBox,
  TmsDiagram1,
  tmsSequenceDiagram
];


const TMS_COMPONENT = {
  install(Vue) {
    COMPONENT_LIST.map(component => {

      let comCopy: any = component;

      let name =
        typeof component != "function" ? comCopy.name : comCopy.options.name;
      if (isExistComponent(name)) {
        throw name + "组件重名,请检查"
      }
      registerComponent(name, component);
      Vue.component(name, component);
    });
  }
};


export {
  TMS_COMPONENT,
  common,
  MsgManager,
  DistDataCenter,
  DateUtil,
  EventBus,
  ThemeManager,
  AuthorityManager,
  AjaxManager,
  MessageBox,
  DownloadManager,
  LangManager,

};
