'use strict'
const path = require('path')
    //去console插件
const UglifyJsPlugin = require('uglifyjs-webpack-plugin')
module.exports = {
    baseUrl: './',
    devServer: {
        disableHostCheck: true,
        open: false,
        host: '0.0.0.0',
        port: 8080,
        https: false,
        hotOnly: false,
        proxy: {
            '/api': {
                target: 'http://localhost:3000',
                // ws: true,
                changOrigin: true,
                pathRewrite: {
                    '^/api': '/'
                },
            },
            '/pro': {
                target: 'http://tms.banggood.cn',
                // ws: true,
                changOrigin: true,
                pathRewrite: {
                    '^/pro': '/'
                },
            },
            '/dev': {
                target: 'http://tmstests.banggood.cn:18833',
                // ws: true,
                changOrigin: true,
                pathRewrite: {
                    '^/dev': '/'
                },
            }
        },
        before: app => { }
    },
    configureWebpack: config => {
        if (process.env.NODE_ENV === 'production') {
            let plugins = [
                new UglifyJsPlugin({
                    uglifyOptions: {
                        compress: {
                            // warnings: false,
                            drop_debugger: true,
                            drop_console: true,
                        },
                    },
                    sourceMap: false,
                    parallel: true,
                })
            ]
            config.plugins = [...config.plugins, ...plugins]
        }
    }

}